> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/gum-runtime-api/gum-wireframe-graphicaluielement/getabsoluteleft.md).

# GetAbsoluteLeft

### Introduction

GetAbsoluteLeft returns the left edge of the calling object in world coordinates. This is in absolute pixels - it is not relative to its parent. Note that this method does not consider rotation, so rotated elements may not return correct values.

### Code Example - Detecting Collision Between GraphicalUiElements

The GetAbsolute functions provide information useful for performing collision between GraphicalUielements.

```csharp
// requires the following using statement for extension method access:
using RenderingLibrary;

// Assuming firstObject and secondObject are valid GraphicalUiElement instances
var collide = firstObject.GetAbsoluteRight() > secondObject.GetAbsoluteLeft() &&
    firstObject.GetAbsoluteLeft() < secondObject.GetAbsoluteRight() &&
    firstObject.GetAbsoluteBottom() > secondObject.GetAbsoluteTop() &&
    firstObject.GetAbsoluteTop() < secondObject.GetAbsoluteBottom();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/gum-runtime-api/gum-wireframe-graphicaluielement/getabsoluteleft.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
